type Repo {
  id: ID! @unique
  createdAt: DateTime!
  updatedAt: DateTime!
  name: String!
  description: String!
  dependencies: [Dependency!]!
  user: User
}

type Dependency {
  id: ID! @unique
  createdAt: DateTime!
  updatedAt: DateTime!
  name: String! @unique
  owner: User @relation(name: "OwnerRelation")
  contributors: [User!]! @relation(name: "ContributorsRelation")
}

type Currency {
  id: ID! @unique
  createdAt: DateTime!
  updatedAt: DateTime!
  symbol: String!
  locale: String!
  abbreviation: String!
}

type User {
  id: ID! @unique
  email: String! @unique
  password: String!
  name: String!
  storedState: String
  token: String
  setup: Boolean! @default(value: "false")
  amount: String @default(value: "0.10")
  currency: Json
  repos: [Repo!]!
  # Dependencies User Owns
  dependencies: [Dependency!]! @relation(name: "OwnerRelation")
  # Dependencies User gives to
  contributing: [Dependency!]! @relation(name: "ContributorsRelation")
}
